// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_CHAIN_GUI_ELM_H
#define ESCWYP_CHAIN_GUI_ELM_H
#include "Evas.h"

Evas_Object *chain_base_box;
static Evas_Object *chain_delta_slider;
static Evas_Object *sined_chain_freq_slider;
static Evas_Object *chain_mode_check;

void chainInitGuiElm(const int hidden);
static void chain_mode_check_fun(void *data, Evas_Object *obj, void *event_info);
static void chain_delta_slider_fun(void *data, Evas_Object *obj, void *event_info);
static void sined_chain_freq_slider_fun(void *data, Evas_Object *obj, void *event_info);

void chainPackGui(Evas_Object *box);
void chainUnpackGui(Evas_Object *box);

void chain_delta_slider_set(const float value);
void chain_freq_slider_set(const float value);
void chain_mode_check_set(const int value);
void chain_gui_set_self_control(const int value);

#endif
