// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_PATCH_SELECT_GUI_ELM_H
#define ESCWYP_PATCH_SELECT_GUI_ELM_H
#include <Elementary.h>

static Evas_Object *patch_list;
static Evas_Object *patch_name_entr;
static Evas_Object *gen_patch_name_button;
static Evas_Object *gen_syllables_check;
static Evas_Object *save_patch_button;
static Evas_Object *patch_frame;
static Evas_Object *tabpatch;

void escwypPatchSelectInitGuiElm(Evas_Object *box);
void escwyp_refresh_patch_selector();

static void save_patch_button_fun(void *data, Evas_Object *obj, void *event_info);
static void gen_patch_name_button_fun(void *data, Evas_Object *obj, void *event_info);
static void gen_syllables_check_fun(void *data, Evas_Object *obj, void *event_info);
static void patch_name_entr_fun(void *data, Evas_Object *obj, void *event_info);
static void patch_name_entr_fun2(void *data, Evas_Object *obj, void *event_info);
static void patch_name_entr_fun3(void *data, Evas_Object *obj, void *event_info);
static void patch_list_fun(void *data, Evas_Object *obj, void *event_info);
static void do_save_the_patch(const char *the_name);

#endif

