// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_SAMPLECAST_GUI_ELM_H
#define ESCWYP_SAMPLECAST_GUI_ELM_H
#include "escwyp_globals_extern.h"

Evas_Object *samplecast_base_box;
//static Evas_Object *samplecast_vol_slider; 
static Evas_Object *samplecast_register_table;
static Evas_Object *samplecast_register_sliders[10];
static Evas_Object *samplecast_mode_radios_box;
static Evas_Object *samplecast_mode_radios[4];
static Evas_Object *samplecast_register_select_radios[10];
static Evas_Object *samplecast_magnify_slider;
static Evas_Object *samplecast_init_value_slider;
static char *namees[4] = {"select one", "add all", "multiply all", "sereally all"};
static int numbees[10];
Eina_List *samplecast_widgets;
 
int register_select = 0;
int mode = 0;
int magnify = 80;

void samplecastInitGuiElm(int hidden);
static void samplecast_register_sliders_fun(void *data, Evas_Object *obj, void *event_info);
static void samplecast_register_select_radios_fun(void *data, Evas_Object *obj, void *event_info);
static void samplecast_mode_radios_fun(void *data, Evas_Object *obj, void *event_info);
static void samplecast_magnify_slider_fun(void *data, Evas_Object *obj, void *event_info);
static void samplecast_init_value_slider_fun(void *data, Evas_Object *obj, void *event_info);

void samplecastPackGui(Evas_Object *box);
void samplecastUnpackGui(Evas_Object *box);

void samplecast_register_sliders_set(const int index, float value);
void samplecast_mode_radios_set(int value);
void samplecast_register_select_radios_set(int value);
void samplecast_magnify_slider_set(float value);
void samplecast_init_value_slider_set(float value);
void samplecast_gui_set_self_control(const int value);
void samplecast_refresh_gui_elems();
#endif
