// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_SINE_GRASS_GUI_ELM_EXTERN_H
#define ESCWYP_SINE_GRASS_GUI_ELM_EXTERN_H
#include <Evas.h>

// has to be global
//Evas_Object *sine_grass_base_box; 

void sineGrassInitGui(const int hidden);
void sineGrassPackGui(Evas_Object *box);
void sineGrassUnpackGui(Evas_Object *box);

void sine_grass_freq_slider_set(const float value);
void sine_grass_grass_mowed_check_set(const int value);
void sine_grass_grass_hill_fraction_slider_set(const float value);
void sine_grass_lawn_length_variation_frac_slider_set(const float value);
void sine_grass_gui_set_self_control(const int value);
#endif
